function varargout = advdifflfgui3(varargin)
%    ADVDIFFLFGUI3 Application M-file for advdifflfgui3.fig
%    FIG = ADVDIFFLFGUI3 launch advdifflfgui3 GUI.
%    ADVDIFFLFGUI3('callback_name', ...) invoke the named callback.

% Last Modified by GUIDE v2.0 25-Jun-2001 15:38:13

if nargin == 0  % LAUNCH GUI

	fig = openfig(mfilename,'reuse');
	% set(fig,'Color',get(0,'defaultUicontrolBackgroundColor'));

	% Generate a structure of handles to pass to callbacks, and store it. 
	% handles = guihandles(fig);
	% guidata(fig, handles);

	if nargout > 0
		varargout{1} = fig;
	end

elseif ischar(varargin{1}) % INVOKE NAMED SUBFUNCTION OR CALLBACK

	try
		[varargout{1:nargout}] = feval(varargin{:}); % FEVAL switchyard
	catch
		disp(lasterr);
	end

end


%| ABOUT CALLBACKS:
%| GUIDE automatically appends subfunction prototypes to this file, and 
%| sets objects' callback properties to call them through the FEVAL 
%| switchyard above. This comment describes that mechanism.
%|
%| Each callback subfunction declaration has the following form:
%| <SUBFUNCTION_NAME>(H, EVENTDATA, HANDLES, VARARGIN)
%|
%| The subfunction name is composed using the object's Tag and the 
%| callback type separated by '_', e.g. 'slider2_Callback',
%| 'figure1_CloseRequestFcn', 'axis1_ButtondownFcn'.
%|
%| H is the callback object's handle (obtained using GCBO).
%|
%| EVENTDATA is empty, but reserved for future use.
%|
%| HANDLES is a structure containing handles of components in GUI using
%| tags as fieldnames, e.g. handles.figure1, handles.slider2. This
%| structure is created at GUI startup using GUIHANDLES and stored in
%| the figure's application data using GUIDATA. A copy of the structure
%| is passed to each callback.  You can store additional information in
%| this structure at GUI startup, and you can change the structure
%| during callbacks.  Call guidata(h, handles) after changing your
%| copy to replace the stored original so that subsequent callbacks see
%| the updates. Type "help guihandles" and "help guidata" for more
%| information.
%|
%| VARARGIN contains any extra arguments you have passed to the
%| callback. Specify the extra arguments by editing the callback
%| property in the inspector. By default, GUIDE sets the property to:
%| <MFILENAME>('<SUBFUNCTION_NAME>', gcbo, [], guidata(gcbo))
%| Add any extra arguments after the last argument, before the final
%| closing parenthesis.



% --------------------------------------------------------------------
function varargout = pushbutton1_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.pushbutton1.

temp = findobj('Tag','edit1');    c = str2num(get(temp,'String'));
temp = findobj('Tag','edit2');    d = str2num(get(temp,'String'));
temp = findobj('Tag','edit3');    L = str2num(get(temp,'String'));
temp = findobj('Tag','edit4');    a_left = str2num(get(temp,'String'));
temp = findobj('Tag','edit5');    a_right = str2num(get(temp,'String'));
temp = findobj('Tag','edit6');    s = str2num(get(temp,'String'));
temp = findobj('Tag','edit7');    dx = str2num(get(temp,'String'));
temp = findobj('Tag','edit8');    dt = str2num(get(temp,'String'));
temp = findobj('Tag','edit9');    T = str2num(get(temp,'String'));
temp = findobj('Tag','edit10');   interval = str2num(get(temp,'String'));

fadvdifflf(c,d,L,a_left,a_right,s,dx,dt,T,interval);

%[y] = funct(n,x1,x2);
%x = linspace(x1,x2,n);
%y = x;
%figure(1);
%plot(x,y,'+');

% --------------------------------------------------------------------
function varargout = edit1_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit1.



% --------------------------------------------------------------------
function varargout = edit2_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit2.



% --------------------------------------------------------------------
function varargout = edit3_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit3.



% --------------------------------------------------------------------
function varargout = pushbutton1_ButtondownFcn(h, eventdata, handles, varargin)
% Stub for ButtondownFcn of the uicontrol handles.pushbutton1.
%disp('pushbutton1 ButtondownFcn not implemented yet.')


% --------------------------------------------------------------------
function varargout = text2_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.text2.
%disp('text2 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit4_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit4.
%disp('edit4 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit5_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit5.
%disp('edit5 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit6_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit6.
%disp('edit6 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit7_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit7.
%disp('edit7 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit8_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit8.
%disp('edit8 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit9_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit9.
%disp('edit9 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = pushbutton5_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.pushbutton5.



% --------------------------------------------------------------------
function varargout = text17_ButtondownFcn(h, eventdata, handles, varargin)
% Stub for ButtondownFcn of the uicontrol handles.text17.
disp('text17 ButtondownFcn not implemented yet.')


% --------------------------------------------------------------------
function varargout = figure1_ResizeFcn(h, eventdata, handles, varargin)
% Stub for ResizeFcn of the figure handles.figure1.
disp('figure1 ResizeFcn not implemented yet.')